<% @messages.each do |message| %>
  <% classes = ['message'] %>
  <% classes << (message.sender_id == current_user.id ? 'sent' : 'received') %>
  <% classes << 'unread' if message.sender_id != current_user.id && !message.is_read? %>

  <div class="<%= classes.join ' ' %>">
    <div class="name">
      <%= message.sender.name %>
    </div>
    <div class="text">
      <%= message.text.gsub(URI.regexp, '<a href="\0" target="_blank">\0</a>').html_safe %>
    </div>
    <div class="time">
      <%= message.created_at.strftime("%I:%M%P") %>
    </div>
    <div class="clear-height">
    </div>  
  </div>
<% end %>